Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

( Yêu Cầu ) Nhờ Các Bác Viết Giúp Lisp Chuyển Trục Tọa Độ Theo 1 Đường Thẳng Bất Kỳ


  • Please log in to reply
4 replies to this topic

#1 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 12 July 2017 - 04:31 PM

Nhờ các Bác viết giúp Lisp chuyển trục tọa độ theo 1 đường thẳng bất kỳ.

VD : Có 1 đường thẳng bất kỳ, sau khi dùng lệnh chỉ cần pick vào đường thẳng đó là trục tọa độ xoay theo vị trí đường thẳng hiện tại.

 Sau khi dùng lệnh trên nếu muốn trở về trục tọa độ W thì chỉ cần gõ thêm lệnh nữa là về trục tọa độ W.

Nếu có thể được thì trục tọa độ Y luôn nằm phía bên trên so với đường ngang.

Xin chân thành cảm ơn !!!!


  • 0

#2 cuongtk2

cuongtk2

    biết lệnh rotate

  • Members
  • PipPipPip
  • 135 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 12 July 2017 - 04:46 PM

Mình hay dùng cái này :
(defun c:UO ()
(command "UCS" "ob" "pause" "")
)
(defun c:Uu ()
(command "UCS" "w" "")
)
Nếu bạn muốn Y quay lên thì bạn pick phía trái của LINE
  • 0

#3 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 12 July 2017 - 09:00 PM

Mình hay dùng cái này :
(defun c:UO ()
(command "UCS" "ob" "pause" "")
)
(defun c:Uu ()
(command "UCS" "w" "")
)
Nếu bạn muốn Y quay lên thì bạn pick phía trái của LINE

Cảm ơn bác. Đã OK. Nhưng trục Y vẫn quay xuống dưới. Bác xem lại giúp


  • -1

#4 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1458 Bài viết
Điểm đánh giá: 1435 (rất tốt)

Đã gửi 13 July 2017 - 08:22 AM

Mình hay dùng cái này :
(defun c:UO ()
(command "UCS" "ob" "pause" "")
)
(defun c:Uu ()
(command "UCS" "w" "")
)
Nếu bạn muốn Y quay lên thì bạn pick phía trái của LINE

Nếu muốn trục Y đảo chiều thì pick phía bên kia của Line (so với lần chọn trước đó).


  • 1

#5 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 July 2017 - 09:34 AM

Cảm ơn bạn


  • 0